# Darkice Docker

A container stack for running Icecast with Darkice.

## Running

- Configuration assumes that current UID is 1000.
- This may trigger SELinux on Fedora systems. You'll need to add an exception.
    - `checkmodule -M -m -o darkice-docker.mod darkice-docker.te`
    - `semodule_package -o darkice-docker.pp -m darkice-docker.mod`
    - `semodule -i darkice-docker.pp`
- Modify `darkice.cfg` to point to the appropriate source.
- Use `pactl list sources` to view available sources.

```
podman-compose up
```